Package org.springframework.web.servlet.config

# Class ScriptTemplateConfigurerBeanDefinitionParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser
org.springframework.web.servlet.config.ScriptTemplateConfigurerBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class ScriptTemplateConfigurerBeanDefinitionParser extends org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser
Parse the `<mvc:script-template-configurer>` MVC namespace element and register a `ScriptTemplateConfigurer` bean.

Since:
  4.2
Author:
  Sebastien Deleuze

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BEAN_NAME`
The bean name used for the `ScriptTemplateConfigurer`.

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`ScriptTemplateConfigurerBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected String`
`getBeanClassName(Element element)`
`protected boolean`
`isEligibleAttribute(String name)`
`protected String`
`resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext parserContext)`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser

`extractPropertyName, isEligibleAttribute, postProcess`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClass, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BEAN_NAME

public static final String BEAN_NAME
The bean name used for the `ScriptTemplateConfigurer`.

See Also:
  - Constant Field Values

## Constructor Details

### ScriptTemplateConfigurerBeanDefinitionParser

public ScriptTemplateConfigurerBeanDefinitionParser()

## Method Details

### resolveId

protected String resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext parserContext)

Overrides:
  `resolveId` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`

### getBeanClassName

protected String getBeanClassName(Element element)

Overrides:
  `getBeanClassName` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

### doParse

protected void doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser`

### isEligibleAttribute

protected boolean isEligibleAttribute(String name)

Overrides:
  `isEligibleAttribute` in class `org.springframework.beans.factory.xml.AbstractSimpleBeanDefinitionParser`